Subject: [PWE3] Publication request for draft-ietf-pwe3-vccv-impl-survey-results-00.txt

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Wed, 18 Apr 2012 12:40:23 +0200

The PWE3 working group requests the publication of draft-ietf-pwe3-vccv-impl-survey-results-00.txt.

The document write-up is attached below.

Best regards,

Matthew

---------

draft-ietf-pwe3-vccv-impl-survey-results-00.txt

Document Shepherd Write-Up

    (1.a) Who is the Document Shepherd for this document? Has the
          Document Shepherd personally reviewed this version of the
          document and, in particular, does he or she believe this
          version is ready for forwarding to the IESG for publication?

   Matthew Bocci ([email-masked])
        Yes, I have reviewed the document and I believe it is ready for
        forwarding to the IESG.

    (1.b) Has the document had adequate review both from key WG members
          and from key non-WG members? Does the Document Shepherd have
          any concerns about the depth or breadth of the reviews that
          have been performed?

        Yes, the document has received adequate review and was discussed over a
        period of a number of IETFs.

    (1.c) Does the Document Shepherd have concerns that the document
          needs more review from a particular or broader perspective,
          e.g., security, operational complexity, someone familiar with
          AAA, internationalization or XML?

       No.

    (1.d) Does the Document Shepherd have any specific concerns or
          issues with this document that the Responsible Area Director
          and/or the IESG should be aware of? For example, perhaps he
          or she is uncomfortable with certain parts of the document, or
          has concerns whether there really is a need for it. In any
          event, if the WG has discussed those issues and has indicated
          that it still wishes to advance the document, detail those
          concerns here. Has an IPR disclosure related to this document
          been filed? If so, please include a reference to the
          disclosure and summarize the WG discussion and conclusion on
          this issue.

       No specific concerns.

    (1.e) How solid is the WG consensus behind this document? Does it
          represent the strong concurrence of a few individuals, with
          others being silent, or does the WG as a whole understand and
          agree with it?

      I am comfortable that the document represents WG consensus and has
      been reviewed by a reasonable number of active WG participants.

    (1.f) Has anyone threatened an appeal or otherwise indicated extreme
          discontent? If so, please summarise the areas of conflict in
          separate email messages to the Responsible Area Director. (It
          should be in a separate email because this questionnaire is
          entered into the ID Tracker.)

       None indicated.

    (1.g) Has the Document Shepherd personally verified that the
          document satisfies all ID nits? (See
          http://www.ietf.org/ID-Checklist.html and
          http://tools.ietf.org/tools/idnits/). Boilerplate checks are
          not enough; this check needs to be thorough. Has the document
          met all formal review criteria it needs to, such as the MIB
          Doctor, media type and URI type reviews?

       Yes.

       There are no formal review criteria that should be met.

    (1.h) Has the document split its references into normative and
          informative? Are there normative references to documents that
          are not ready for advancement or are otherwise in an unclear
          state? If such normative references exist, what is the
          strategy for their completion? Are there normative references
          that are downward references, as described in [RFC3967]? If
          so, list these downward references to support the Area
          Director in the Last Call procedure for them [RFC3967].

      Yes, the references are split appropriately. Only one Informational
      reference is used by the document.

    (1.i) Has the Document Shepherd verified that the document IANA
          consideration section exists and is consistent with the body
          of the document? If the document specifies protocol
          extensions, are reservations requested in appropriate IANA
          registries? Are the IANA registries clearly identified? If
          the document creates a new registry, does it define the
          proposed initial contents of the registry and an allocation
          procedure for future registrations? Does it suggest a
          reasonable name for the new registry? See [RFC5226]. If the
          document describes an Expert Review process has Shepherd
          conferred with the Responsible Area Director so that the IESG
          can appoint the needed Expert during the IESG Evaluation?

      The IANA considerations section exists. There are no requests of IANA,
      which seems reasonable given that the draft simply documents the results
      of an implementation/deployment survey.

    (1.j) Has the Document Shepherd verified that sections of the
          document that are written in a formal language, such as XML
          code, BNF rules, MIB definitions, etc., validate correctly in
          an automated checker?

      There are no sections that use a formal language.

    (1.k) The IESG approval announcement includes a Document
          Announcement Write-Up. Please provide such a Document
          Announcement Write-Up? Recent examples can be found in the
          "Action" announcements for approved documents. The approval
          announcement contains the following sections:

Technical Summary

   Most Pseudowire Emulation Edge-to-Edge (PWE3) encapsulations mandate
   the use of the Control Word (CW) in order to better emulate the
   services for which the encapsulations have been defined.  However,
   some encapulations treat the Control Word as optional.  As a result,
   implementations of the CW, for encapsulations for which it is
   optional, vary by equipment manufacturer, equipment model and service
   provider network.  Similarly, Virtual Circuit Connectivity
   Verification (VCCV) supports three Control Channel (CC) types and
   multiple Connectivity Verification (CV) Types.  This flexibility has
   led to reports of interoperability issues within deployed networks
   and associated drafts to attempt to remedy the situation.  This
   survey of the PW/VCCV user community was conducted to determine
   implementation trends.  The survey and results is presented herein.

   This document is a product of the PWE3 working group.

   This document is Informational.

Working Group Summary

   RFC5085 defines 3 VCCV channel types. These are essentially the mechanisms
   for transport of the PW associated channel that is used to carry e.g. PW OAM
   messages. In addition, RFC6423 adds a 4th mechanism which uses the GAL. There
   is currently no clear definition of which modes are mandatory and which modes
   are optional to implement. This has caused concerns by some participants in
   the operator community that the proliferation of modes causes interoperability
   issues between vendors. As a first step to rationalising the number of modes,
   the WG conducted a survey to try to quantify which modes are in use today and so
   determine which ones could be either deprecated, or made optional in a possible
   future update to RFC5085. This draft contains the results of that survey. Since the
   survey contains useful information pertaining to the current state of PW deployments,
   there was consensus to record the results of the survey in an Informational RFC.

   Note that the name of the document that was originally last called by the WG was
    draft-ietf-pwe3-pw-vccv-impl-survey-results-00, but this was updated to
   draft-ietf-pwe3-vccv-impl-survey-results-00 as a result of a comment from
   the WG.

Document Quality

   The document describes a service provider implementation survey, sampling the deployments
   of PWs and their respective VCCV types. There is likely to be a skew in the results towards
   operators that are willing to divulge details of their network deployments, and towards
   those that participate in the IETF. However,
   the results were anonymised, and a broad cross-section of both large and smaller
   operators participated, which may help to mitigate any skew. I have no concerns
   about the quality of the document.

   The document does not specify any MIB changes or additions which would need review.

 Personnel
   The document shepherd is Matthew Bocci.
   The responsible Area Director is Stewart Bryant.